Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 974813 (CVE-2013-2185) - CVE-2013-2185 Tomcat/JBossWeb: Arbitrary file upload via deserialization
Summary: CVE-2013-2185 Tomcat/JBossWeb: Arbitrary file upload via deserialization
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-2185
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: CVE-2013-4444 (view as bug list)
Depends On: 989312 989313 989314 1140317
Blocks: 974815 1013996 1140316
TreeView+ depends on / blocked
 
Reported: 2013-06-16 05:25 UTC by Arun Babu Neelicattu
Modified: 2021-02-17 07:36 UTC (History)
31 users (show)

Fixed In Version: tomcat-coyote 7.0.40
Doc Type: Bug Fix
Doc Text:
It was possible for an attacker, using complex and limited conditions, to upload a malicious JSP to a Tomcat server and then trigger the execution of that JSP.
Clone Of:
Environment:
Last Closed: 2014-04-02 10:50:53 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1193 0 normal SHIPPED_LIVE Important: jbossweb security update 2013-09-04 00:06:03 UTC
Red Hat Product Errata RHSA-2013:1194 0 normal SHIPPED_LIVE Important: jbossweb security update 2013-09-04 00:05:55 UTC
Red Hat Product Errata RHSA-2013:1265 0 normal SHIPPED_LIVE Important: jbossweb security update 2013-09-16 21:01:05 UTC

Description Arun Babu Neelicattu 2013-06-16 05:25:42 UTC
A poison null byte flaw was found in the implementation of the DiskFileItem class. A remote attacker able to supply a serialized instance of the DiskFileItem class, which will be deserialized on a server, could use this flaw to write arbitrary content to any location on the server that is permitted by the user running the application server process.

Comment 1 David Jorm 2013-06-24 04:59:28 UTC
The Apache Tomcat team does not agree that this is a valid security flaw; they contend that an application performing untrusted deserialization is inherently insecure. However, the issue has been fixed as a code cleanup in this commit:

http://svn.apache.org/viewvc?view=revision&revision=1470435

Comment 8 errata-xmlrpc 2013-09-03 20:07:26 UTC
This issue has been addressed in following products:

  Red Hat JBoss Enterprise Application Platform 6.1.0

Via RHSA-2013:1194 https://rhn.redhat.com/errata/RHSA-2013-1194.html

Comment 9 errata-xmlrpc 2013-09-03 20:07:53 UTC
This issue has been addressed in following products:

  JBEAP 6 for RHEL 5
  JBEAP 6 for RHEL 6

Via RHSA-2013:1193 https://rhn.redhat.com/errata/RHSA-2013-1193.html

Comment 10 errata-xmlrpc 2013-09-16 17:03:01 UTC
This issue has been addressed in following products:

  Red Hat JBoss Portal 6.0.0

Via RHSA-2013:1265 https://rhn.redhat.com/errata/RHSA-2013-1265.html

Comment 21 Arun Babu Neelicattu 2014-09-15 07:09:23 UTC
Statement:

This issue did not affect the versions of Tomcat as shipped with Red Hat Enterprise Linux 5, 6 and 7; and Red Hat JBoss Web Server 1 and 2.

This issue did not affect the versions of JBoss Web as shipped with Red Hat JBoss BRMS 5; Red Hat JBoss Data Grid 6; Red Hat JBoss Data Virtualization 6; Red Hat JBoss Enterprise Application Platform 4 and 5; Red Hat JBoss Fuse Service Works 6; Red Hat JBoss Operations Network 3; Red Hat JBoss Portal Platform 5; Red Hat JBoss SOA Platform 4 and 5; and Red Hat JBoss Web Platform 5.

Comment 22 Arun Babu Neelicattu 2014-09-15 07:27:39 UTC
*** Bug 1140314 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.